#!/bin/sh

LOG="/rev31/bas/log"

VER="1_3_0_0"		
KOKUNEN="0000"		
KOUNEN="0000"		
ECON="0000"		
OP_START="2026"		
SOTOWAKU="0000"		
YOBI="125"		
KAKUDAI="0"		
KAKO="0"		
DMACRO="0"		
OPTION="0"		
CUT_KOTEI="0"		
CUT_ONE_SHUTU="0"	
CARRY="1"		

IO_DIR="/rev31/bas/io_file/1_3_0_0"
INFILE="/infile.csv"
OUTFILE="/outfile.csv"

JIKKO_DIR="/rev31/bas/jikko"


echo "プログラム（Version:${VER} , 試算番号:${KOKUNEN}-${KOUNEN}-${ECON}-${SOTOWAKU} , Part=${KAKUDAI} , Option=${OPTION}）を実行しますか？（y/n）"

read ans

if [ "$ans" = "y" ]
then

:> /rev31/bas/rslt/output.csv

echo "プログラム実行開始（Version:${VER} , 試算番号：${KOKUNEN}-${ECON}-${SOTOWAKU} , Part=${KAKUDAI} , Option=${OPTION} ） : ${USER}" >> ${LOG}
date >> ${LOG}
echo "">> ${LOG}

echo "*****プログラム実行*****"

"${JIKKO_DIR}/ver${VER}.out" "${IO_DIR}${INFILE}" "${IO_DIR}${OUTFILE}" \
	${KOUNEN} ${KOKUNEN} ${ECON} ${SOTOWAKU} ${YOBI} ${KAKUDAI} ${KAKO} ${OPTION} ${DMACRO} ${OP_START} ${CUT_KOTEI} ${CUT_ONE_SHUTU} ${CARRY}


echo "実行終了" >> ${LOG}
date >> ${LOG}
echo "">> ${LOG}

fi




